libmspub::Vector2D Struct Reference

`#include <VectorTransformation2D.h>`

## Public Member Functions

| Vector2D (double x, double y)

## Public Attributes

double | m_x
double | m_y

## Constructor & Destructor Documentation

## Vector2D()

libmspub::Vector2D::Vector2D | ( | double | x,
|  | double | y )

inline

## Member Data Documentation

## m_x

double libmspub::Vector2D::m_x

Referenced by libmspub::calcClipPath(), libmspub::drawEmulatedLine(), libmspub::operator+(), libmspub::operator-(), libmspub::VectorTransformation2D::transform(), Vector2D(), and libmspub::writeCustomShape().

## m_y

double libmspub::Vector2D::m_y

Referenced by libmspub::calcClipPath(), libmspub::drawEmulatedLine(), libmspub::operator+(), libmspub::operator-(), libmspub::VectorTransformation2D::transform(), Vector2D(), and libmspub::writeCustomShape().

The documentation for this struct was generated from the following file:

- VectorTransformation2D.h